/*
// Created by Kaan on 9.04.2021.
*/

#include <stdio.h>
#include <time.h>
#include "timer.h"
#include "personnage.h"

clock_t begin;
long time_spent;



void init_timer(){
    begin=clock();
}

/*!
 * \fn SDL_Texture * query_timer(Personnage *hero, SDL_Renderer *renderer, SDL_Rect* timer_rect, SDL_Window * window, int seconde, int* time_remaining)
 * \brief This function calculate and query a timer display
 *
 * \param [in] hero a hero pointer
 * \param [in] renderer the SDL renderer
 * \param [in] timer_rect the SDL rect of timer
 * \param [in] window the SDL window
 * \param [in] seconde the time to count down
 * \param [in] time_remaining the pointer to the time remaining
 */

void timer_countdown( Personnage *hero, long seconde, int* time_remaining){
    time_spent = (clock() - begin) / (CLOCKS_PER_SEC/15) ;


    *time_remaining=(int)(seconde-time_spent);

	
    if(*time_remaining==0){
        hero->result=LOSE;
    }


}

